//---------------------------------------------------------------------------
#ifndef ChkBtnH
#define ChkBtnH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include "Ccheckb.h"
#include "CtrlStd.h"
//---------------------------------------------------------------------------
class PACKAGE_CTRLSTD CCheckButton : public TCheckBox
{
private:
  TWinControl *m_pWinControl;
  void __fastcall SetControl( TWinControl *pWCtrl);
protected:
  void __fastcall BMSetCheck( TMessage &Msg);
  // Déroutement des messages
  BEGIN_MESSAGE_MAP
   MESSAGE_HANDLER( BM_SETCHECK, TMessage, BMSetCheck)
  END_MESSAGE_MAP( TCheckBox)
public:
    __fastcall CCheckButton(TComponent* Owner);
__published:
  __property TWinControl *Control = { read=m_pWinControl, write=SetControl };
};
//---------------------------------------------------------------------------
#endif
